package mx.com.amx.mx.dda.crn.dto;

import java.io.Serializable;

/**
 * Datos para los Titulos del Contrato recien exhibidos. 
 */

public class DatosCntTituloExhibicionDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String ID_SAP;
	private String COSTO;
	private String FECHA_INICIO;
	private String VIDA_UTIL;
	private String FECHA_CONTABILIZACION;
	private String ID_TITULO_CNTORIG;
	
	public String getID_SAP() {
		return ID_SAP;
	}

	public void setID_SAP(String iD_SAP) {
		ID_SAP = iD_SAP;
	}

	public String getCOSTO() {
		return COSTO;
	}

	public void setCOSTO(String cOSTO) {
		COSTO = cOSTO;
	}

	public String getFECHA_INICIO() {
		return FECHA_INICIO;
	}

	public void setFECHA_INICIO(String fECHA_INICIO) {
		FECHA_INICIO = fECHA_INICIO;
	}

	public String getVIDA_UTIL() {
		return VIDA_UTIL;
	}

	public void setVIDA_UTIL(String vIDA_UTIL) {
		VIDA_UTIL = vIDA_UTIL;
	}

	public String getFECHA_CONTABILIZACION() {
		return FECHA_CONTABILIZACION;
	}

	public void setFECHA_CONTABILIZACION(String fECHA_CONTABILIZACION) {
		FECHA_CONTABILIZACION = fECHA_CONTABILIZACION;
	}

	public String getID_TITULO_CNTORIG() {
		return ID_TITULO_CNTORIG;
	}

	public void setID_TITULO_CNTORIG(String iD_TITULO_CNTORIG) {
		ID_TITULO_CNTORIG = iD_TITULO_CNTORIG;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" ID_SAP: _" + this.getID_SAP() + "_" + NEW_LINE);
		result.append(" COSTO: _" + this.getCOSTO() + "_" + NEW_LINE);
		result.append(" FECHA_INICIO: _" + this.getFECHA_INICIO() + "_" + NEW_LINE);
		result.append(" VIDA_UTIL: _" + this.getVIDA_UTIL() + "_" + NEW_LINE);
		result.append(" FECHA_CONTABILIZACION: _" + this.getFECHA_CONTABILIZACION() + "_" + NEW_LINE);
		result.append(" ID_TITULO_CNTORIG: _" + this.getID_TITULO_CNTORIG() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

}
